Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.gui
Class VisualStackMonitor.SPMon

    java.lang.Object
      avrora.gui.SingleNodeMonitor.SingleNodePanel
          avrora.gui.VisualStackMonitor.SPMon

All Implemented Interfaces:
  avrora.gui.MonitorPanel.Updater, Simulator.Event

Enclosing class:
  VisualStackMonitor

public class VisualStackMonitor.SPMon
extends SingleNodeMonitor.SingleNodePanel
implements Simulator.Event, avrora.gui.MonitorPanel.Updater

Field Summary
`GraphNumbers` | `graph`
`Simulator` | `simulator`

Fields inherited from class avrora.gui.SingleNodeMonitor.SingleNodePanel
`node, panel`

Method Summary
`void` | `construct(Simulator s)`
`void` | `destruct()`
`void` | `fire()` The `fire()` method is called when the event to which it is tied happens with in the simulator.
`void` | `remove()`
`void` | `update()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### simulator

    public Simulator simulator

### graph

    public GraphNumbers graph

Method Detail

### fire

    public void fire()

  Description copied from interface: `Simulator.Event`
  The `fire()` method is called when the event to which it is tied happens with in the simulator.

  Specified by:
    `fire` in interface `Simulator.Event`

### construct

    public void construct(Simulator s)

  Specified by:
    `construct` in class `SingleNodeMonitor.SingleNodePanel`

### destruct

    public void destruct()

  Specified by:
    `destruct` in class `SingleNodeMonitor.SingleNodePanel`

### remove

    public void remove()

  Specified by:
    `remove` in class `SingleNodeMonitor.SingleNodePanel`

### update

    public void update()

  Specified by:
    `update` in interface `avrora.gui.MonitorPanel.Updater`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD